<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.2
 *
 * Copyright (C) 2006-2015  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_ret.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$fi = "";
if (isset($_GET['fi']) && (trim($_GET['fi']) <> ""))
    $fi = intval($_GET['fi']);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Impression Liste des renvois de produits"); ?></title>

    <?PHP include_once("../inc/header.inc.php"); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            warn_print(1);
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>
<?php
entimplst("LISTE DES RENVOIS DE PRODUITS");

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST);

$rech = cree_strrechlstrete();
if (@$_SESSION["niv_log"] == 4) {
    if (!stristr($rech, "WHERE "))
        $rech .= " WHERE " . TBRETE . ".rete_codeage='" . @$_SESSION["code_age"] . "'";
    else
        $rech .= " AND " . TBRETE . ".rete_codeage='" . @$_SESSION["code_age"] . "'";
}
switch ($fi) {
    case "1" :
        if (!stristr($rech, "WHERE "))
            $rech .= " WHERE rete_clos='0'";
        else
            $rech .= " AND rete_clos='0'";
        break;
    default :
        break;
}
$rech .= crestr_triord($rete_titre_col, "rete_code", FALSE, $limit);
$rows = $db->get_results($rech, ARRAY_A);

// *** Affichage de la table
echo "<table class=\"MItable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

// création entête
titimplst($rete_titre_col);

foreach ($rows as $row) {
    $row = encode_str($row);
    echo "<tr>";

    echo "<td>";
    echo $row["rete_code"];
    if (envoi_solde($row["rete_code"], FALSE) == TRUE) {
        $lst_envs = TRUE;
        echo ' <img src="../img/ok.png" border="0" align="absmiddle">';
    }
    echo "</td>\n";
    echo "<td>";
    echo $row["rete_codeage"];
    echo "</td>\n";
    echo "<td>";
    echo $row["mque_ste"];
    echo "</td>\n";
    echo "<td align=\"center\">";
    echo datetolocal($row["rete_dateenv"]);
    echo "</td>\n";
    echo "<td align=\"center\">";
    $row2 = lit_enr_me($row["rete_codeme"], FALSE);
    if (is_array($row2)) {
        $row2 = encode_str($row2);
        echo $row2["me_nom"];
    }
    echo "</td>\n";
    echo "<td align=\"center\">";
    echo $row["rete_bord"];
    echo "</td>\n";

    echo "</tr>\n";

}
echo "</table>\n";
// *** Fin affichage de la table

$db->disconnect();
?>
</body>
</html>